// ============================================================================
//  $Id: TRecordDisplayTab.hh,v 1.2 2004/03/07 10:30:27 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TRecordDisplayTab.hh,v $
//  Revision 1.2  2004/03/07 10:30:27  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.1  2004/03/01 02:36:25  goiwai
//  RecordDisplay用のクラス群を置きました.
//  お蔵入りになってたものに手直しを加えたものですが,
//  まだ不充分な点も在ります.徐々に修正していきたいと思います.
//  DataRecordオブジェクトを表示するためのツール群なのでRecordDisplayと呼
//  んでいます,多分にオフライン要素が強いです.
//  オンラインよりにしたものを後でEventDisplay(Eventを表示)としてコミット
//  します.
//
// ============================================================================
#ifdef __CLDAQ_ROOT_USE
#ifndef CLDAQ__TRECORDDISPLAYTAB_HH
#define CLDAQ__TRECORDDISPLAYTAB_HH

#include <TGTab.h>
#include "Tglobals.h"
#include "TRecordDisplayComponent.hh"

class TRecordDisplayTab
  : public TRecordDisplayComponent, public TGTab
{

  public:
    TRecordDisplayTab( TRecordDisplay* d );
    TRecordDisplayTab( TRecordDisplay* d, TGCompositeFrame* p );
    ~TRecordDisplayTab();

  public:
    Tvoid Build();
    Tstring GetTabText( const Tstring& title ) const;
    TGCompositeFrame* GetFrame( const Tstring& title );
    TRecordDisplayTab* GetTab( TGCompositeFrame* frame );

    Tvoid clear();
#ifdef __CLDAQ_ROOT_DLL
    ClassDef(TRecordDisplayTab,0)
#endif

};

#endif
#endif
